Bug 750109 - Bluetooth doesn't work in dell inspiron mini 1012
Bluetooth doesn't work in dell inspiron mini 1012
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-30 22:23 EDT by Iván Jiménez
Modified: 2013-02-13 06:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (1.12 MB, text/plain)
2011-10-30 22:23 EDT, Iván Jiménez
no flags Details
powetop output in f16 (42.83 KB, text/html)
2011-10-30 22:26 EDT, Iván Jiménez
no flags Details
powertop in f15 (34.88 KB, text/html)
2011-10-30 23:16 EDT, Iván Jiménez
no flags Details

  None (edit)
Description Iván Jiménez 2011-10-30 22:23:19 EDT
Created attachment 530876 [details]
/var/log/messages

Description of problem:
Bluetooth panel in System Settings shows the message "Bluetooth is disabled" and "Bluetooth" switch in off position but clicking it has no effect. BT device is:

Bus 004 Device 002: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0         8
  idVendor           0x0a5c Broadcom Corp.
  idProduct          0x4500 BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
  bcdDevice            1.00
  iManufacturer           1 Broadcom
  iProduct                2 BCM2046B1
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower               94mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             3
  wHubCharacteristic 0x0004
    Ganged power switching
    Compound device
    Ganged overcurrent protection
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent    100 milli Ampere
  DeviceRemovable    0x0e
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0103 power enable connect
   Port 2: 0000.0103 power enable connect
   Port 3: 0000.0100 power
Device Status:     0x0001
  Self Powered

The bluetooth service isn't started by default; I don't know why because it's enabled. After issuing command "systemctl start bluetooth.service"
bluetoothd runs but the device isn't recognized (hcitool dev shows "Device:")

It's a regression form f15, because in a f15 live usb after issuing that command the device is recognized. The only difference I can see with f15 is in the power consumption of the bluetooth device; in f16 it's always:

Device power report
0 mW 	100,0%	USB device: BCM2046B1 (Broadcom)

and in f15 it's about 400 mW. Not sure if relevant but in f16 the Tunable "Autosuspend for USB device BCM2046B1 [Broadcom]" is on. (see attached powertop output)

Version-Release number of selected component (if applicable):
bluez-cups-4.96-3.fc16.x86_64
bluez-libs-4.96-3.fc16.x86_64
bluez-4.96-3.fc16.x86_64
kernel-3.1.0-1.fc16.x86_64
gnome-bluetooth-libs-3.2.1-1.fc16.x86_64
gnome-bluetooth-3.2.1-1.fc16.x86_64

How reproducible:
always
  
I searched for info on how to debug bluetooth problems in fedora wiki but didn't find anything, so I'm attaching info I think is relevant, please tell me how to find relevant info.
Comment 1 Iván Jiménez 2011-10-30 22:26:25 EDT
Created attachment 530877 [details]
powetop output in f16
Comment 2 Iván Jiménez 2011-10-30 22:29:27 EDT
lsmod in f16:
Module                  Size  Used by
cpufreq_stats           3960  0 
bnep                   14195  2 
bluetooth             202902  7 bnep
ppdev                   7360  0 
parport_pc             19600  0 
lp                      9581  0 
parport                32310  3 ppdev,parport_pc,lp
fuse                   61671  3 
ip6t_REJECT             3992  2 
nf_conntrack_ipv6       7730  4 
nf_defrag_ipv6          9083  1 nf_conntrack_ipv6
ip6table_filter         1655  1 
ip6_tables             16792  1 ip6table_filter
nf_conntrack_ipv4       8310  4 
nf_defrag_ipv4          1513  1 nf_conntrack_ipv4
xt_state                1306  8 
nf_conntrack           67597  3 nf_conntrack_ipv6,nf_conntrack_ipv4,xt_state
arc4                    1417  2 
snd_hda_codec_realtek   312621  1 
ath9k                  98753  0 
mac80211              251598  1 ath9k
ath9k_common            2496  1 ath9k
ath9k_hw              300681  2 ath9k,ath9k_common
snd_hda_intel          24072  2 
snd_hda_codec          85181  2 snd_hda_codec_realtek,snd_hda_intel
ath                    15050  2 ath9k,ath9k_hw
uvcvideo               56989  0 
videodev               78689  1 uvcvideo
media                  11511  2 uvcvideo,videodev
v4l2_compat_ioctl32     7665  1 videodev
dell_laptop             8363  0 
snd_hwdep               6264  1 snd_hda_codec
snd_seq                52186  0 
snd_seq_device          5941  1 snd_seq
snd_pcm                78514  2 snd_hda_intel,snd_hda_codec
cfg80211              151157  3 ath9k,mac80211,ath
compal_laptop          11346  0 
snd_timer              19372  2 snd_seq,snd_pcm
rfkill                 16336  6 bluetooth,dell_laptop,cfg80211,compal_laptop
i2c_i801                9237  0 
snd                    63124  12 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               6267  1 snd
snd_page_alloc          7311  2 snd_hda_intel,snd_pcm
iTCO_wdt               12024  0 
iTCO_vendor_support     2578  1 iTCO_wdt
dcdbas                  7716  1 dell_laptop
joydev                  9567  0 
r8169                  40493  0 
mii                     4335  1 r8169
uinput                  7230  0 
microcode              18539  0 
uas                     7775  0 
ums_realtek             5249  0 
usb_storage            46027  1 ums_realtek
i915                  389156  3 
drm_kms_helper         26490  1 i915
drm                   194532  4 i915,drm_kms_helper
i2c_algo_bit            4958  1 i915
i2c_core               25728  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  12388  1 i915
Comment 3 Iván Jiménez 2011-10-30 22:49:02 EDT
"lsusb -v -d 0a5c:4500" in f15:

Bus 004 Device 002: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0         8
  idVendor           0x0a5c Broadcom Corp.
  idProduct          0x4500 BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
  bcdDevice            1.00
  iManufacturer           1 Broadcom
  iProduct                2 BCM2046B1
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower               94mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             3
  wHubCharacteristic 0x0004
    Ganged power switching
    Compound device
    Ganged overcurrent protection
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent    100 milli Ampere
  DeviceRemovable    0x0e
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0103 power enable connect
   Port 2: 0000.0103 power enable connect
   Port 3: 0000.0103 power enable connect
Device Status:     0x0001
  Self Powered

Note:
[root@localhost ivan]# diff lsusb-f15 lsusb-f16
64c64
<    Port 3: 0000.0103 power enable connect
---
>    Port 3: 0000.0100 power
Comment 4 Iván Jiménez 2011-10-30 22:52:30 EDT
packages in f15 are:
kernel-2.6.38.6-26.rc1.fc15.x86_64
bluez-libs-4.87-5.fc15.x86_64
bluez-4.87-5.fc15.x86_64
gnome-bluetooth-2.91.92-1.fc15.x86_64
gnome-bluetooth-libs-2.91.92-1.fc15.x86_64
bluez-cups-4.87-5.fc15.x86_64
Comment 5 Iván Jiménez 2011-10-30 23:16:29 EDT
Created attachment 530884 [details]
powertop in f15

Comparing powertop's output I see "Autosuspend for USB device BCM2046B1 [Broadcom]" is on in both releases, but "Autosuspend for USB device Dell Wireless 365 Bluetooth Module [Dell Computer Corp]" only appears in f15:

[root@localhost liveuser]# lsusb 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0781:5567 SanDisk Corp. Cruszer Blade
Bus 001 Device 003: ID 0c45:641d Microdia 
Bus 001 Device 005: ID 0bda:0158 Realtek Semiconductor Corp. USB 2.0 multicard reader
Bus 004 Device 022: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 004 Device 023: ID 413c:8161 Dell Computer Corp. Integrated Keyboard
Bus 004 Device 024: ID 413c:8162 Dell Computer Corp. Integrated Touchpad [Synaptics]
Bus 004 Device 025: ID 413c:8160 Dell Computer Corp. Wireless 365 Bluetooth

the last device doesn't appear in f16
Comment 6 Iván Jiménez 2011-10-30 23:22:52 EDT
in f16:

[ivan@localhost ~]$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0781:5567 SanDisk Corp. Cruzer Blade
Bus 001 Device 003: ID 0c45:641d Microdia 1.3 MPixel Integrated Webcam
Bus 001 Device 005: ID 0bda:0158 Realtek Semiconductor Corp. USB 2.0 multicard reader
Bus 004 Device 002: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 004 Device 003: ID 413c:8161 Dell Computer Corp. Integrated Keyboard
Bus 004 Device 004: ID 413c:8162 Dell Computer Corp. Integrated Touchpad [Synaptics]

The device Dell Computer Corp. Wireless 365 Bluetooth isn't listed, maybe a kernel bug then?
Comment 7 Iván Jiménez 2011-10-31 02:17:49 EDT
It's fixed after installing bluez-hid2hci and rebooting, maybe that package should be included by default in live image?
Comment 8 Samuel Sieb 2011-11-12 15:27:38 EST
I had the same problem with my laptop.  I didn't even have to reboot, just installed the package and it started working.  Why is the hid2hci package not installed by default?
Comment 9 Qji 2011-11-28 07:04:29 EST
Thx for the tip about "hid2hci" (the correct name is "bluez-hid2hci" on F16). I had the same problem and this package helps me.
gnome-bluetooth package should depend on bluez-hid2hci.
Comment 10 Fedora End Of Life 2013-01-16 07:01:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 06:49:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.